<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddAppUserReq StructType
 * @subpackage Structs
 */
class AddAppUserReq extends APIRequest
{
    /**
     * The appUser
     * @var XAppUser
     */
    public $appUser;
    /**
     * Constructor method for AddAppUserReq
     * @uses AddAppUserReq::setAppUser()
     * @param XAppUser $appUser
     */
    public function __construct(XAppUser $appUser = null)
    {
        $this
            ->setAppUser($appUser);
    }
    /**
     * Get appUser value
     * @return XAppUser|null
     */
    public function getAppUser()
    {
        return $this->appUser;
    }
    /**
     * Set appUser value
     * @param XAppUser $appUser
     * @return AddAppUserReq
     */
    public function setAppUser(XAppUser $appUser = null)
    {
        $this->appUser = $appUser;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddAppUserReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
